
disp ('Cleanning up')

disp('del *Out.wav')
!del *Out.wav

disp('Using fixed ITD threshold 22.5 degree (half of between 0 degree (target) and 45 degree (interference)')

disp ('Processing no reverberation 20 degree case (0 dB) using the fixed ITD  threshold')
AutomaticITD('sb06_0Rev_0dB_20IntAngle_FixedOut.wav', 'sb06_0Rev_0dB_20IntAngle.wav', 0);
disp ('Processing no reverberation 30 degree case (0 dB) using the fixed ITD  threshold')
AutomaticITD('sb06_0Rev_0dB_30IntAngle_FixedOut.wav', 'sb06_0Rev_0dB_30IntAngle.wav', 0);
disp ('Processing no reverberation 45 degree case (0 dB) using the fixed ITD  threshold')
AutomaticITD('sb06_0Rev_0dB_45IntAngle_FixedOut.wav', 'sb06_0Rev_0dB_45IntAngle.wav', 0);
disp ('Processing no reverberation 75 degree case (0 dB) using the fixed ITD  threshold')
AutomaticITD('sb06_0Rev_0dB_75IntAngle_FixedOut.wav', 'sb06_0Rev_0dB_75IntAngle.wav', 0);

disp ('Processing TR60 = 0.2 s reverberation 20 degree case (0 dB) using the fixed ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_20IntAngle_FixedOut.wav', 'sb06_0P2Rev_0dB_20IntAngle.wav', 0);
disp ('Processing TR60 = 0.2 s reverberation 30 degree case (0 dB) using the fixed ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_30IntAngle_FixedOut.wav', 'sb06_0P2Rev_0dB_30IntAngle.wav', 0);
disp ('Processing TR60 = 0.2 s reverberation 45 degree case (0 dB) using the fixed ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_45IntAngle_FixedOut.wav', 'sb06_0P2Rev_0dB_45IntAngle.wav', 0);
disp ('Processing TR60 = 0.2 s reverberation 75 degree case (0 dB) using the fixed ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_75IntAngle_FixedOut.wav', 'sb06_0P2Rev_0dB_75IntAngle.wav', 0);

disp('Using automatic ITD threshold finding the optimal threshold')

disp ('Processing no reverberation 20 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0Rev_0dB_20IntAngle_AutoOut.wav', 'sb06_0Rev_0dB_20IntAngle.wav', 1);
disp ('Processing no reverberation 30 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0Rev_0dB_30IntAngle_AutoOut.wav', 'sb06_0Rev_0dB_30IntAngle.wav', 1);
disp ('Processing no reverberation 45 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0Rev_0dB_45IntAngle_AutoOut.wav', 'sb06_0Rev_0dB_45IntAngle.wav', 1);
disp ('Processing no reverberation 75 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0Rev_0dB_75IntAngle_AutoOut.wav', 'sb06_0Rev_0dB_75IntAngle.wav', 1);

disp ('Processing TR60 = 0.2 s reverberation 20 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_20IntAngle_AutoOut.wav', 'sb06_0P2Rev_0dB_20IntAngle.wav', 1);
disp ('Processing TR60 = 0.2 s reverberation 30 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_30IntAngle_AutoOut.wav', 'sb06_0P2Rev_0dB_30IntAngle.wav', 1);
disp ('Processing TR60 = 0.2 s reverberation 45 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_45IntAngle_AutoOut.wav', 'sb06_0P2Rev_0dB_45IntAngle.wav', 1);
disp ('Processing TR60 = 0.2 s reverberation 75 degree case (0 dB) using the automatic ITD threshold')
AutomaticITD('sb06_0P2Rev_0dB_75IntAngle_AutoOut.wav', 'sb06_0P2Rev_0dB_75IntAngle.wav', 1);
